Skip to main content
POST
/
regions
Create region
curl --request POST \
  --url https://api.akua.dev/v1/regions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "us-east-1",
  "icon": "<string>"
}
'
import requests

url = "https://api.akua.dev/v1/regions"

payload = {
"name": "us-east-1",
"icon": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'us-east-1', icon: '<string>'})
};

fetch('https://api.akua.dev/v1/regions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "us-east-1",
  "icon": "<string>",
  "workspace_id": "<string>",
  "created_at": 1
}
{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}
{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}
{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Headers

akua-context
string

Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens — a workspace-owned token implies its workspace.

Required string length: 1 - 53
Example:

"ws_j572abc123def456"

Body

application/json
name
string
required
Required string length: 1 - 100
Example:

"us-east-1"

icon
string<uri>

Icon URL

Maximum string length: 256

Response

Region created

id
string
required
Required string length: 1 - 54
name
string
required
Example:

"us-east-1"

icon
string | null
required

Icon URL

workspace_id
string
required
Required string length: 1 - 53
created_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0